package com.nisum;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

public class HomePage {

    WebDriver driver;
    WebElement signInDropdown;
    WebElement signInBtn;


    public WebElement getSignInDropdown() {
        return driver.findElement(By.linkText("Sign In / Up"));
    }

    public WebElement getSignInBtn() {
        return driver.findElement(By.id("sign-in-modal-link"));
    }


    public HomePage(WebDriver driver) {
        this.driver = driver;
    }

    public void navigateHomePage(String url) {
        driver.get(url);
    }


    public void getSignInLink() {
        getSignInDropdown().click();
        getSignInBtn().click();
    }


}
